﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {

	private bool destructible = false;
	private int damage = 10;

	void makeDestructible(){
		destructible = true;
	}

	void setDamage(int dmg){
		damage = dmg;
	}
	
	// Update is called once per frame
	void Update () {
		if (transform.position.x > 38 || transform.position.x < -38) {
			if(gameObject != null&&destructible)
			Destroy (gameObject);return;
		}
		if (transform.position.z > 23 || transform.position.z < -23) {
			if(gameObject != null&&destructible)
			Destroy (gameObject);
		}
	}

	void OnTriggerEnter(Collider col){
		if(gameObject != null && col != null && col.gameObject != null&&destructible);
		if (col.gameObject.tag == "Enemy") {
			col.gameObject.SendMessage("damage", damage);
				Destroy (gameObject);
			}
	}
}
