﻿using UnityEngine;
using System.Collections;

public class EnemyMan : MonoBehaviour {

	private float spawnDelay = 3;
	private float timeCount = 0;
	private float evolveDelay = 20;
	private float evolveCount = 0;
	public GameObject enemy;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		timeCount += Time.deltaTime;

		evolveCount += Time.deltaTime;
		if (timeCount > spawnDelay) {
			timeCount = 0;
			spawn ();
		}
		if (evolveCount > evolveDelay) {
			evolveCount  = 0;
			evolveDelay -= evolveDelay/20;
			float rnd = Random.value;
			if(rnd > 0.33){
				EnemyScript.speedLVL++;
				print ("Evolved Speed");
			}else if(rnd > 0.66){
				EnemyScript.maxHeath+=5;
				print ("Evolved Heath");
			}else{
				print ("Evolved Spawn Delay");
				if(spawnDelay > 0.5)
				spawnDelay -=0.5f;
			}
		}
	}

	void spawn(){
		GameObject IEnemy = (GameObject)Instantiate (enemy);
		IEnemy.transform.parent = transform;
		float x = 0;
		float z = 0;
		if (Random.value > 0.5) {
			x=Random.value > 0.5 ? -38: 38;
			z=(Random.value*46f)-23f;
		} else {
			z=Random.value > 0.5 ? -23: 23;
			x=(Random.value*76f)-38f;
		}
		IEnemy.transform.position = new Vector3 (x,0,z);
		IEnemy.SendMessage ("enableAI");
	}
	public void reset(){
		evolveDelay = 20;
		spawnDelay = 3;
		timeCount = 10;
		EnemyScript.maxHeath = 10;
		EnemyScript.speedLVL = 1;

		for (int i =0; i < transform.childCount; i++) {
			Destroy(transform.GetChild(i).gameObject);
		}
	}

}
