﻿using UnityEngine;
using System.Collections;

public class EnemyScript : MonoBehaviour {

	public static int maxHeath = 10;

	public static int speedLVL = 1;

	public GameObject dna;

	private float xV;
	private float yV;
	private int changeDirTime;
	private float timeCount;
	private int heath;
	public float xVMax;
	public float zVMax;
	public bool useAI = false;
	private float speedMul;


	// Use this for initialization
	void Start () {
		heath = maxHeath;
		speedMul = (float)speedLVL / 8;
		if (speedMul < 1)
						speedMul = 1;
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if (useAI) {	

						timeCount += Time.deltaTime;
						if (timeCount > changeDirTime) {
								changeDirTime = (int)(Random.value + 20);
								timeCount = 0;
								xV += ((Random.value * 4f) - 2f);
								yV += ((Random.value * 4f) - 2f);
						}
						if (transform.position.x > 38 || transform.position.x < -38) {
								xV = -xV;
						}
						if (transform.position.z > 23 || transform.position.z < -23) {
								yV = -yV;
						}

						if (xV > xVMax)
								xV = xVMax;
						if (xV < -xVMax)
								xV = -xVMax;
						if (yV > zVMax)
								yV = zVMax;
						if (yV < -zVMax)
								yV = zVMax;
						
						transform.Translate (xV * Time.deltaTime*speedMul, 0, yV * Time.deltaTime*speedMul);
				}
	}

	public void enableAI(){
		useAI = true;
	}

	public void damage(int dmg){
		heath -= dmg;
		print ("DMG: " + dmg + ", " + heath);
		if (heath < 0) {
			GM.kills++;
			GameObject Idna = (GameObject)Instantiate(dna);
			Idna.transform.parent = transform.parent;
			Idna.transform.position = transform.position;
			Destroy (gameObject);
		}
	}

}
