﻿using UnityEngine;
using System.Collections;

public class DeathScreen : SimpleGUI {

	private int time;
	private int bt;

	public DeathScreen(){
		time = (int)GM.time;
		bt = (int)GM.longestTime;
		if (time > GM.longestTime) {
			GM.longestTime = time;
		}
		Start ();
		GM.playerEnabled = false;

	}
	
	void Start () {
		title = "[Redacted] Died";
		addButton ("Kills:"+GM.kills);
		addButton ("Time:" + time);
		addButton ("Best Time:" + bt);
		addButton ("Retry");
		addButton ("Main Menu");
	}
	
	protected override void onClick(int id){
		MonoBehaviour.print (id);
		if (id == 3) {
			GUIManager.setScreen(null);
			GM.resetGame ();
		}
		if (id == 4) {
			GM.loadMainMenu();
		}
	}
}
