﻿using UnityEngine;
using System.Collections;

public class GM : MonoBehaviour {

	public static int infectedCells, cells;
	public static int playerHeath, maxPlayerHeath;
	public static float time;
	public static int longestTime = 70;
	public static float kills;
	public static float dna;

	public static RBCMan rbcManager;
	public static EnemyMan enemyManager;
	public static PlayerControl player;

	public GUISkin skin;
	public RBCMan rbcManagerTemp;
	public EnemyMan enemyManagerTemp;
	public PlayerControl playerTemp;
	public static bool playerEnabled;
	

	void Start(){
		rbcManager = rbcManagerTemp;
		enemyManager = enemyManagerTemp;
		player = playerTemp;
		longestTime = PlayerPrefs.GetInt ("best_time");
	}

	void OnGUI(){
		GUI.skin = skin;
		if (playerEnabled) {
						GUI.Label (new Rect (50, 50, 600, 50), "Infection: " + infectedCells + "/" + cells);
						GUI.Label (new Rect (50, 100, 600, 50), "Time: " + (int)time);
						if(dna<4)
							GUI.Label (new Rect (50, 150, 600, 50), "DNA: " + dna);
						else
							GUI.Label (new Rect (50, 150, 600, 50), "DNA: " + dna + "(Evolution Avalable)");
		}
	}

	void FixedUpdate(){
		if (infectedCells == cells) {
			lose ();
		}
		time += Time.deltaTime;
	}

	public void save(){
		PlayerPrefs.SetInt ("best_time", longestTime);
	}

	void lose(){
		if(playerEnabled)
		GUIManager.setScreen (new DeathScreen ());
	}

	public static void loadMainMenu(){
		GUIManager.setPaused (false);
		resetGame ();
		GUIManager.setScreen (new MenuScreen());
		playerEnabled = false;
	}

	public static void exit(){
		PlayerPrefs.Save ();
		Application.Quit ();
	}

	public static void resetGame(){
		time = 0;
		kills = 0;
		dna = 0;
		infectedCells = 0;
		player.reset ();
		enemyManager.reset ();
		rbcManager.generate ();
		playerEnabled = true;
	}
}
