﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GUIManager : MonoBehaviour {

	public GUISkin skin;
	private static bool paused;

	private static SimpleGUI gui;

	// Use this for initialization
	void Start () {
		gui = new MenuScreen();
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetButtonDown("pause")){
			setPaused(!paused);
		}
	}
	public static void setScreen(SimpleGUI screen){
		gui = screen;
	}

	public static void setPaused(bool paused){
		setPaused (paused, new PauseScreen());
	}

	public static void setPaused(bool pause, SimpleGUI screen){
		if (pause) {
			if(gui==null){
				setScreen (screen);
				Time.timeScale = 0f;
				paused = true;
			}
		} else {
			Time.timeScale = 1f;
			setScreen(null);
			paused = false;
		}
	}

	void OnGUI(){
		GUI.skin = skin;
		if(gui != null)
		gui.OnGUI ();
	}
}
