﻿using UnityEngine;
using System.Collections;

public class EvolveScreen : SimpleGUI {

	private PlayerControl player;

	// Use this for initialization
	public EvolveScreen(PlayerControl player){
		this.player = player;
		Start ();
	}
	
	void Start () {
		title = "Evolve";
		addButton ("Speed Level "+(player.speedLVL+1));
		addButton ("Damage Level "+(player.dmgLVL+1));
		addButton ("Fire Rate Level "+(player.frLVL+1));
		addButton ("Close");
	}
	protected override void onClick(int id){
		if (id == 3) {
			GUIManager.setScreen (null);
			GUIManager.setPaused (false);
			return;
		}
		if (id == 0)player.speedLVL++;
		if (id == 1)player.dmgLVL++;
		if (id == 2)player.frLVL++;
		GM.dna -= 4;
		if (GM.dna < 4) {
				GUIManager.setScreen (null);
				GUIManager.setPaused (false);
		}
	}

	
	// Update is called once per frame
	void Update () {
		
	}
}
