﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public abstract class SimpleGUI{

	private List<string> buttons = new List<string>();
	protected string title = "GUI";

	public SimpleGUI(){

	}


	protected void addButton(string text){
		buttons.Add (text);
	}

	protected abstract void onClick (int id);

	public void OnGUI(){
		GUI.Label (new Rect(20, 60, Screen.width-40, 100),"Fight The Infection!", GUI.skin.GetStyle("title"));
		GUI.Label (new Rect(Screen.width - 200, Screen.height - 30, 200, 30),"By Thepattybeast", GUI.skin.GetStyle("link"));
		int yOffset = (Screen.height / 2) - ((60+(buttons.Count*40))/2);
		GUI.Box (new Rect(Screen.width/2-160, yOffset, 320, 60+(buttons.Count*40)), title);
		for (int i = 0; i < buttons.Count; i++) {
			if(GUI.Button (new Rect(Screen.width/2-150, 60+(i*40)+yOffset, 300, 30), buttons[i]))onClick(i);
		}
	}
}
